
/* Author: Vijay C. Patil. */

#ifndef MATRIX_H
#define MATRIX_H
#include "glpk.h"

#define WIDTH 800.0
#define HEIGHT 800.0
#define OFFSET 40.0

extern glp_prob * lp;
extern double cell_width, cell_height;
extern double mat_width, mat_height; 
extern int row_cnt, col_cnt;

void print_usage(void);
void glpk_init(char * mod_filename);
void set_window(float left, float right, float bottom, float top);
void set_viewport(float left, float right, float bottom, float top);

void draw_matrix(void);
void win_reshape(int win_width, int win_height);

void draw_background(void);

#endif
